#!/bin/sh
export PATH='/usr/obj/ports/hs-scientific-0.3.3.5/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/local/bin:/usr/X11R6/bin'
echo 'name: scientific
version: 0.3.3.5
id: scientific-0.3.3.5-480db35012af99d44aeb9e1e2fb82b95

license: BSD3
copyright:
maintainer: Bas van Dijk <v.dijk.bas@gmail.com>
stability:
homepage: https://github.com/basvandijk/scientific
package-url:
synopsis: Numbers represented using scientific notation
description: @Data.Scientific@ provides a space efficient and arbitrary precision
             scientific number type.
             .
             '\''Scientific'\'' numbers are represented using
             <http://en.wikipedia.org/wiki/Scientific_notation scientific notation>. It
             uses a coefficient @c :: '\''Integer'\''@ and a base-10 exponent @e :: '\''Int'\''@ (do
             note that since we'\''re using an '\''Int'\'' to represent the exponent these numbers
             aren'\''t truly arbitrary precision). A scientific number corresponds to the
             '\''Fractional'\'' number: @'\''fromInteger'\'' c * 10 '\''^^'\'' e@.
             .
             The main application of '\''Scientific'\'' is to be used as the target of parsing
             arbitrary precision numbers coming from an untrusted source. The advantages
             over using '\''Rational'\'' for this are that:
             .
             * A '\''Scientific'\'' is more efficient to construct. Rational numbers need to be
             constructed using '\''%'\'' which has to compute the '\''gcd'\'' of the '\''numerator'\'' and
             '\''denominator'\''.
             .
             * '\''Scientific'\'' is safe against numbers with huge exponents. For example:
             @1e1000000000 :: '\''Rational'\''@ will fill up all space and crash your
             program. Scientific works as expected:
             .
             > > read "1e1000000000" :: Scientific
             > 1.0e1000000000
             .
             * Also, the space usage of converting scientific numbers with huge exponents to
             @'\''Integral'\''s@ (like: '\''Int'\'') or @'\''RealFloat'\''s@ (like: '\''Double'\'' or '\''Float'\'')
             will always be bounded by the target type.
category: Data
author: Bas van Dijk
pkgpath: devel/hs-scientific
exposed: True
exposed-modules: Data.Scientific Data.Text.Lazy.Builder.Scientific
                 Data.ByteString.Builder.Scientific
hidden-modules: Math.NumberTheory.Logarithms
trusted: False
import-dirs: /usr/local/lib/ghc/scientific-0.3.3.5
library-dirs: /usr/local/lib/ghc/scientific-0.3.3.5
hs-libraries: HSscientific-0.3.3.5
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: array-0.5.0.0-8a40db6fafcaa8a9af9e4724885ba0bf
         base-4.7.0.2-b11c3b9ddc2bebe1a3d85499c9ea3f18
         bytestring-0.10.4.0-c38ffa96fe2b16989b0dffe49eb81a0b
         deepseq-1.3.0.2-4ec1196b48fff86164e282f89fb41b53
         ghc-prim-0.3.1.0-f0b77db25e6a07f3e2798ad2aa2db4f0
         hashable-1.2.2.0-d21b2ffde7ff5775ecff485ad8c31ecd
         integer-gmp-0.5.1.0-3c6ee2f20a97b2ba60906fa87b8f151c
         text-1.1.0.0-6c72ebcdf327be13b3762cdaa7b368bd
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/hs-scientific-0.3.3.5/html/scientific.haddock
haddock-html: /usr/local/share/doc/hs-scientific-0.3.3.5/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
